# @(#) 1.18 nt/src/samples/t3part/makefile.mak, odt3part, od96nt, odnt9712d 1/22/97 12:04:03 [ 3/21/97 17:25:55 ]
#
#====START_GENERATED_PROLOG======================================
#
#
#   COMPONENT_NAME: odt3part
#
#   CLASSES: none
#
#   ORIGINS: 27
#
#
#   (C) COPYRIGHT International Business Machines Corp. 1995,1996
#   All Rights Reserved
#   Licensed Materials - Property of IBM
#   US Government Users Restricted Rights - Use, duplication or
#   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
#   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
#   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
#   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
#   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
#   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
#   OR PERFORMANCE OF THIS SOFTWARE.
#
#====END_GENERATED_PROLOG========================================
#

# If you wish to add to the existing compile and link flags, you can
# do it with these macros

ExtraSOMCompileOptions =

ExtraCompileOptions =

ExtraLinkOptions =


# ===================================================================
# Subdirectories you want nmake to visit
#Subdirs = en_US de_DE es_ES fr_FR ja_JP pt_BR zh_CN zh_TW
Subdirs = en_US


# ===================================================================
# Targets

# IdlTargets = List all the idl other samples will want to see
# ClassName = ClassName of part to be registered
# HdrTargets = List all the C++ headers other samples will want to see
# LibTargets = List all export libraries to be built
# DllTargets = List all shared libraries to be built
#
# The Reg* and File*  macros are used to generate a table of contents
# and an install package


IdlTargets = iodt3.idl

HdrTargets =

LibTargets = $(ODSRC)/lib/iodt3.$(LibSuffix)

DllTargets = $(ODSRC)/dll/iodt3.dll

RegMain=iodt3.dll
RegIDL=iodt3.idl
RegClassName=T3GamePart
RegKind=T3GamePart
FilesDlls=iodt3.dll iodbasec.dll iodutils.dll
FilesIncs=$(IdlTargets) $(IdlTargets:.idl=.xh) $(HdrTargets)
FilesLibs=iodt3.$(LibSuffix)
FilesCats=
FilesStationery=


# ===================================================================
# Common Inference Rules

# Platform.mak contains all the platform specific code to build the
# sample. Check it to verify which compiler the sample is using.

!include $(ODSRC)/src/Platform.mak


# ===================================================================
# Rules

t3partObjList = iodt3.$(Obj)

iodt3.$(Obj) : iodt3.xih

t3partLibList = \
!IF "$(Platform)"=="win32"
	{$(LIB)}COMDLG32.$(LibSuffix)  \
	{$(LIB)}somtk.$(LibSuffix)  \
!ENDIF
	{$(LIB)}iodutils.$(LibSuffix) \
	{$(LIB)}iodbasec.$(LibSuffix) \
	{$(LIB)}msgdll.$(LibSuffix)   \
	{$(LIB)}odbento.$(LibSuffix)  \
	{$(LIB)}odbindng.$(LibSuffix) \
	{$(LIB)}odcm.$(LibSuffix)     \
	{$(LIB)}odcore.$(LibSuffix)   \
	{$(LIB)}oddatax.$(LibSuffix)  \
	{$(LIB)}odimagng.$(LibSuffix) \
	{$(LIB)}odlayout.$(LibSuffix) \
	{$(LIB)}odmsgcat.$(LibSuffix) \
	{$(LIB)}odstorag.$(LibSuffix) \
	{$(LIB)}odui.$(LibSuffix)     \
	{$(LIB)}odregsty.$(LibSuffix)



$(ODSRC)/dll/iodt3.dll :  $(ODSRC)/lib/iodt3.$(Exp) \
	$(t3partLibList) \
	$(t3partObjList)
	@$(BuildDll)


$(ODSRC)/lib/iodt3.$(Def) :  iodt3.$(Def)
	@$(BuildCopy)


$(ODSRC)/lib/iodt3.$(LibSuffix) : \
!IFDEF CPPMAIN
	$(ODSRC)/lib/iodt3.$(Def) \
!ENDIF
	$(t3partObjList)
	@$(BuildLib)


# end of file
